Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Interface Encoder

All Known Implementing Classes:
  DefaultEncoder, SimpleHTMLEncoder

    public interface Encoder

Encodes original text. The Encoder works with the Formatter to generate the output.

Author:
  Nicko Cadell

Method Summary
`String` | `encodeText(String originalText)`

Method Detail

### encodeText

    String encodeText(String originalText)

  Parameters:
    `originalText` - The section of text being output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.